import com.imsl.chart.*;

public class SampleLineMarker extends JFrameChart {

    public SampleLineMarker() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);

        double x[] = {1, 3, 4, 5, 9};
        double y[] = {8, 3, 5, 2, 9};
        Data data = new Data(axis, x, y);
        data.setDataType(Data.DATA_TYPE_LINE | Data.DATA_TYPE_MARKER);
        data.setLineColor("blue");
        data.setMarkerColor("red");
        data.setMarkerType(Data.MARKER_TYPE_FILLED_SQUARE);
    }
    
    public static void main(String argv[]) {
        new SampleLineMarker().setVisible(true);
    }
}